> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seamind.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Next Of Kin

> Add a new emergency contact to the user's profile.



## OpenAPI

````yaml /openapi.json post /api/v1/crew/users/{user_id}/next-of-kin
openapi: 3.1.0
info:
  title: Seamind Backend
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/crew/users/{user_id}/next-of-kin:
    post:
      tags:
        - crew-next-of-kin
      summary: Create Next Of Kin
      description: Add a new emergency contact to the user's profile.
      operationId: create_next_of_kin_api_v1_crew_users__user_id__next_of_kin_post
      parameters:
        - name: user_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: User Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NextOfKinCreateDTO'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NextOfKinResponseDTO'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    NextOfKinCreateDTO:
      properties:
        relationship:
          type: string
          title: Relationship
        fullName:
          type: string
          title: Fullname
        phone:
          anyOf:
            - type: string
            - type: 'null'
          title: Phone
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
        address:
          anyOf:
            - type: string
            - type: 'null'
          title: Address
      type: object
      required:
        - relationship
        - fullName
      title: NextOfKinCreateDTO
      description: Fields required to add a new emergency contact.
    NextOfKinResponseDTO:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        relationship:
          type: string
          title: Relationship
        fullName:
          type: string
          title: Fullname
        phone:
          anyOf:
            - type: string
            - type: 'null'
          title: Phone
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
        address:
          anyOf:
            - type: string
            - type: 'null'
          title: Address
        createdAt:
          type: string
          format: date-time
          title: Createdat
        updatedAt:
          type: string
          format: date-time
          title: Updatedat
      type: object
      required:
        - id
        - relationship
        - fullName
        - createdAt
        - updatedAt
      title: NextOfKinResponseDTO
      description: API response shape (camelCase).
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````